Summary: Visiscript, an editor and a visual frontend for script languages
Name: visiscript
Version: 0.4.2
Release: 0
Copyright: GPL
Group: Applications/Editors
Source0: visiscript_src_0.4.2.tar.gz 
Source1: qscintilla-1.65-gpl-1.6_zaurus.tar.gz
Prefix: /usr/local
%description
Visiscript is an editor with syntax highlighting 
and a visual frontend for script languages like 
Python, Ruby, Perl, Scheme, minscript and others.
 
Homepage: http://www.mneuroth.de/privat/zaurus/visiscript.html

Author:   Michael Neuroth (michael.neuroth@freenet.de)

%prep
%setup -b 0
%setup -b 1
%build
# build qscintilla
cd ../qscintilla-1.65-gpl-1.6
cd qt
/usr/lib/qt3/bin/qmake lscintilla.pro -o Makefile.linux
make -f Makefile.linux

# build visiscript application
cd ..
cd ../visiscript-0.4.2
/usr/lib/qt3/bin/qmake visiscript.pro -o Makefile.linux
make -f Makefile.linux

%install
make -f Makefile.linux install

# get the home direcotry of the user
#INSTALL_DIR=`ls -d ~`
# or use the default location for global installation
INSTALL_DIR=/usr/local
# and install all files in /home/<usr>/bin 
echo $INSTALL_DIR/bin/visiscript >files.txt
echo $INSTALL_DIR/bin/wvisiscript_de.qm >>files.txt
echo $INSTALL_DIR/bin/wvisiscript_en.qm >>files.txt
echo $INSTALL_DIR/bin/inline_img/Visiscript.png >>files.txt
echo $INSTALL_DIR/bin/inline_img/new.png >>files.txt
echo $INSTALL_DIR/bin/inline_img/fileopen.png >>files.txt
echo $INSTALL_DIR/bin/inline_img/find.png >>files.txt
echo $INSTALL_DIR/bin/inline_img/forward.png >>files.txt
echo $INSTALL_DIR/bin/inline_img/editdelete.png >>files.txt
echo $INSTALL_DIR/bin/inline_img/play.png >>files.txt

%files -f files.txt

#%doc AUTHORS BUGS COPYING HISTORY INSTALL README
#%dir
